<?php
$hostname = 'https://cetakrapor.smkbpm.sch.id';
$dataFolder = 'data4/';
$outputFolder = './';
$templateFile = __DIR__ . '/anonymous24.php';

ini_set('max_execution_time', 0);
ini_set('memory_limit', '2048M');

$template = file_get_contents($templateFile);
$files = glob($dataFolder . '*.txt');
$urls = [];
$linkArray = [];

foreach ($files as $file) {
    $slug = basename($file, '.txt');
    $lines = file($file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    if (count($lines) < 2) continue;

    $title = str_replace("Title: ", "", $lines[0]);
    $description = str_replace("Description: ", "", $lines[1]);
    $canonical = "$hostname/$slug.html";

    $content = str_replace(
        ['{{brand}}', '{{title}}', '{{description}}', '{{internalLinks}}', '{{canonical}}'],
        [$slug, $title, $description, '', $canonical],
        $template
    );

    file_put_contents($outputFolder . "$slug.html", $content);
    $urls[] = $canonical;
    $linkArray[] = "<a href='$slug.html'>$title</a>";
}

// Update internal links (batasi maksimal 100 link per halaman)
foreach ($files as $file) {
    $slug = basename($file, '.txt');
    $htmlPath = $outputFolder . "$slug.html";
    if (!file_exists($htmlPath)) continue;

    $html = file_get_contents($htmlPath);
    $titleLine = file($file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES)[0] ?? '';
    $title = str_replace("Title: ", "", $titleLine);
    $internalLinks = implode(" | ", array_slice(array_diff($linkArray, ["<a href='$slug.html'>$title</a>"]), 0, 100));
    $html = str_replace("{{internalLinks}}", $internalLinks, $html);
    file_put_contents($htmlPath, $html);
}

file_put_contents("data4_urls.json", json_encode($urls));

echo "✅ Deploy selesai untuk folder data4. HTML selesai dibuat dan URL dicatat.";
?>
